AndroidWorkProfileVpnConfiguration を作成する
名前空間: microsoft.graph
重要: Microsoft Graph /beta バージョンの API は変更される場合があります。実稼働での使用はサポートされていません。
注: Intune 用 Microsoft Graph API には、テナントの 有効な Intune ライセンスが必要です。
新しい androidWorkProfileVpnConfiguration オブジェクトを作成 します。
前提条件
この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。
| アクセス許可の種類 | アクセス許可 (特権の小さいものから大きいものへ) |
|---|---|
| 委任 (職場または学校アカウント) | DeviceManagementConfiguration.ReadWrite.All |
| 委任 (個人用 Microsoft アカウント) | サポートされていません。 |
| アプリケーション | DeviceManagementConfiguration.ReadWrite.All |
HTTP 要求
POST /deviceManagement/deviceConfigurations
POST /deviceManagement/deviceConfigurations/{deviceConfigurationId}/microsoft.graph.windowsDomainJoinConfiguration/networkAccessConfigurations
要求ヘッダー
| ヘッダー | 値 |
|---|---|
| Authorization | ベアラー <トークン> が必要です。 |
| 承諾 | application/json |
要求本文
要求本文で、androidWorkProfileVpnConfiguration オブジェクトの JSON 表記を指定します。
次の表に、androidWorkProfileVpnConfiguration を作成するときに必要なプロパティを示します。
| プロパティ | 型 | 説明 |
|---|---|---|
| id | 文字列 | エンティティのキー。 deviceConfiguration から継承します |
| lastModifiedDateTime | DateTimeOffset | オブジェクトの最終更新の DateTime。 deviceConfiguration から継承します |
| roleScopeTagIds | String collection | この Entity インスタンスのスコープ タグの一覧。 deviceConfiguration から継承します |
| supportsScopeTags | Boolean | 基になるデバイス構成がスコープ タグの割り当てをサポートするかどうかを示します。 ScopeTags プロパティへの割り当ては、この値が false で、エンティティがスコープ付きユーザーに表示されない場合は許可されません。 これは Silverlight で作成された従来のポリシーで発生し、Azure Portal でポリシーを削除して再作成することで解決できます。 このプロパティに値を設定するには、 SetExtrusionDirection メソッドを適用します。 deviceConfiguration から継承します |
| deviceManagementApplicabilityRuleOsEdition | deviceManagementApplicabilityRuleOsEdition | このポリシーの OS エディションの適用性。 deviceConfiguration から継承します |
| deviceManagementApplicabilityRuleOsVersion | deviceManagementApplicabilityRuleOsVersion | このポリシーの OS バージョンの適用ルール。 deviceConfiguration から継承します |
| deviceManagementApplicabilityRuleDeviceMode | deviceManagementApplicabilityRuleDeviceMode | このポリシーのデバイス モードの適用ルール。 deviceConfiguration から継承します |
| createdDateTime | DateTimeOffset | オブジェクトが作成された DateTime。 deviceConfiguration から継承します |
| description | String | 管理者が指定した、デバイス構成についての説明。 deviceConfiguration から継承します |
| displayName | 文字列 | 管理者が指定した、デバイス構成の名前。 deviceConfiguration から継承します |
| version | Int32 | デバイス構成のバージョン。 deviceConfiguration から継承します |
| connectionName | String | ユーザーに表示される接続名。 |
| connectionType | androidWorkProfileVpnConnectionType | 接続の種類。 可能な値は、ciscoAnyConnect、pulseSecure、f5EdgeClient、dellSonicWallMobileConnect、checkPointCapsuleVpn、citrix、paloAltoGlobalProtect、microsoftTunnel、netMotionMobility、microsoftProtect です。 |
| role | 文字列 | 接続の種類が [Pulse Secure] に設定されている場合の役割。 |
| realm | String | 接続の種類が [Pulse Secure] に設定されている場合の領域。 |
| サーバー | vpnServer コレクション | ネットワーク上の VPN サーバーの一覧。 エンド ユーザーがこれらのネットワークの場所にアクセスできます。 このコレクションには、最大で 500 個の要素を含めることができます。 |
| 指紋 | String | 指紋は、VPN サーバーが信頼できると確認するために使用される文字列で、接続の種類がチェック ポイント カプセル VPN の場合にのみ適用されます。 |
| customData | keyvalue コレクション | 接続の種類が Citrix に設定されている場合のカスタム データ。 このコレクションには、最大 25 の要素を含めできます。 |
| customKeyValueData | keyValuePair コレクション | 接続の種類が Citrix に設定されている場合のカスタム データ。 このコレクションには、最大 25 の要素を含めできます。 |
| authenticationMethod | vpnAuthenticationMethod | 認証方法。 可能な値は、certificate、usernameAndPassword、sharedSecret、derivedCredential、azureAD です。 |
| proxyServer | vpnProxyServer | プロキシ サーバー。 |
| targetedPackageIds | String collection | 対象となるアプリ パッケージの ID。 |
| targetedMobileApps | appListItem コレクション | 対象のモバイル アプリ。 このコレクションには、最大で 500 個の要素を含めることができます。 |
| alwaysOn | Boolean | 常時 VPN 接続を有効にするかどうか。 |
| alwaysOnLockdown | ブール値 | 常時 VPN 接続が有効になっている場合は、その VPN が切断された場合にネットワーク トラフィックをロックするかどうかを指定します。 |
| microsoftTunnelSiteId | 文字列 | Microsoft Tunnel ID。 |
応答
成功した場合、このメソッドは応答コードと、応答本文の 201 Created androidWorkProfileVpnConfiguration オブジェクトを返します。
例
要求
以下は、要求の例です。
POST https://graph.microsoft.com/beta/deviceManagement/deviceConfigurations
Content-type: application/json
Content-length: 2422
{
"@odata.type": "#microsoft.graph.androidWorkProfileVpnConfiguration",
"roleScopeTagIds": [
"Role Scope Tag Ids value"
],
"supportsScopeTags": true,
"deviceManagementApplicabilityRuleOsEdition": {
"@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleOsEdition",
"osEditionTypes": [
"windows10EnterpriseN"
],
"name": "Name value",
"ruleType": "exclude"
},
"deviceManagementApplicabilityRuleOsVersion": {
"@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleOsVersion",
"minOSVersion": "Min OSVersion value",
"maxOSVersion": "Max OSVersion value",
"name": "Name value",
"ruleType": "exclude"
},
"deviceManagementApplicabilityRuleDeviceMode": {
"@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleDeviceMode",
"deviceMode": "sModeConfiguration",
"name": "Name value",
"ruleType": "exclude"
},
"description": "Description value",
"displayName": "Display Name value",
"version": 7,
"connectionName": "Connection Name value",
"connectionType": "pulseSecure",
"role": "Role value",
"realm": "Realm value",
"servers": [
{
"@odata.type": "microsoft.graph.vpnServer",
"description": "Description value",
"address": "Address value",
"isDefaultServer": true
}
],
"fingerprint": "Fingerprint value",
"customData": [
{
"@odata.type": "microsoft.graph.keyValue",
"key": "Key value",
"value": "Value value"
}
],
"customKeyValueData": [
{
"@odata.type": "microsoft.graph.keyValuePair",
"name": "Name value",
"value": "Value value"
}
],
"authenticationMethod": "usernameAndPassword",
"proxyServer": {
"@odata.type": "microsoft.graph.vpnProxyServer",
"automaticConfigurationScriptUrl": "https://example.com/automaticConfigurationScriptUrl/",
"address": "Address value",
"port": 4
},
"targetedPackageIds": [
"Targeted Package Ids value"
],
"targetedMobileApps": [
{
"@odata.type": "microsoft.graph.appListItem",
"name": "Name value",
"publisher": "Publisher value",
"appStoreUrl": "https://example.com/appStoreUrl/",
"appId": "App Id value"
}
],
"alwaysOn": true,
"alwaysOnLockdown": true,
"microsoftTunnelSiteId": "Microsoft Tunnel Site Id value"
}
応答
以下は、応答の例です。注:簡潔にするために、ここに示す応答オブジェクトは切り詰められている場合があります。すべてのプロパティは実際の呼び出しから返されます。
HTTP/1.1 201 Created
Content-Type: application/json
Content-Length: 2594
{
"@odata.type": "#microsoft.graph.androidWorkProfileVpnConfiguration",
"id": "32910378-0378-3291-7803-913278039132",
"lastModifiedDateTime": "2017-01-01T00:00:35.1329464-08:00",
"roleScopeTagIds": [
"Role Scope Tag Ids value"
],
"supportsScopeTags": true,
"deviceManagementApplicabilityRuleOsEdition": {
"@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleOsEdition",
"osEditionTypes": [
"windows10EnterpriseN"
],
"name": "Name value",
"ruleType": "exclude"
},
"deviceManagementApplicabilityRuleOsVersion": {
"@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleOsVersion",
"minOSVersion": "Min OSVersion value",
"maxOSVersion": "Max OSVersion value",
"name": "Name value",
"ruleType": "exclude"
},
"deviceManagementApplicabilityRuleDeviceMode": {
"@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleDeviceMode",
"deviceMode": "sModeConfiguration",
"name": "Name value",
"ruleType": "exclude"
},
"createdDateTime": "2017-01-01T00:02:43.5775965-08:00",
"description": "Description value",
"displayName": "Display Name value",
"version": 7,
"connectionName": "Connection Name value",
"connectionType": "pulseSecure",
"role": "Role value",
"realm": "Realm value",
"servers": [
{
"@odata.type": "microsoft.graph.vpnServer",
"description": "Description value",
"address": "Address value",
"isDefaultServer": true
}
],
"fingerprint": "Fingerprint value",
"customData": [
{
"@odata.type": "microsoft.graph.keyValue",
"key": "Key value",
"value": "Value value"
}
],
"customKeyValueData": [
{
"@odata.type": "microsoft.graph.keyValuePair",
"name": "Name value",
"value": "Value value"
}
],
"authenticationMethod": "usernameAndPassword",
"proxyServer": {
"@odata.type": "microsoft.graph.vpnProxyServer",
"automaticConfigurationScriptUrl": "https://example.com/automaticConfigurationScriptUrl/",
"address": "Address value",
"port": 4
},
"targetedPackageIds": [
"Targeted Package Ids value"
],
"targetedMobileApps": [
{
"@odata.type": "microsoft.graph.appListItem",
"name": "Name value",
"publisher": "Publisher value",
"appStoreUrl": "https://example.com/appStoreUrl/",
"appId": "App Id value"
}
],
"alwaysOn": true,
"alwaysOnLockdown": true,
"microsoftTunnelSiteId": "Microsoft Tunnel Site Id value"
}
フィードバック
フィードバックの送信と表示